ru.bitel.bgbilling.kernel.contract.script.server.bean

## Class ContractScriptLogDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<ContractScriptLog>
    - - ru.bitel.bgbilling.kernel.contract.script.server.bean.ContractScriptLogDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class ContractScriptLogDao
      extends ru.bitel.common.dao.AbstractDao<ContractScriptLog>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractScriptLogDao(java.sql.Connection con, java.lang.String tableName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ContractScriptLog` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<ContractScriptLog>` | `getScriptLogList(int contractId, Period period)` Возвращает полный список логов скриптов договора за определенный период
    `java.util.List<ContractScriptLog>` | `getScriptLogList(int contractId, Period period, java.lang.String title, Page page)` Возвращает постраничный список логов скриптов договора за определенный период
    `java.util.List<java.lang.String>` | `getScriptLogTitleList(int contractId, Period period)`
    `protected void` | `updateImpl(ContractScriptLog b)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractScriptLogDao

          public ContractScriptLogDao(java.sql.Connection con,
                                      java.lang.String tableName)

  - ### Method Detail

    - #### getScriptLogTitleList

          public java.util.List<java.lang.String> getScriptLogTitleList(int contractId,
                                                                        Period period)
                                                                 throws ru.bitel.bgbilling.common.BGException

      Parameters:
        `contractId` - - код договора.
        `period` - - период.
      Returns:
        - не повторяющийся список названий выполнившихся скриптов.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getScriptLogList

          public java.util.List<ContractScriptLog> getScriptLogList(int contractId,
                                                                    Period period)
                                                             throws ru.bitel.bgbilling.common.BGException

      Возвращает полный список логов скриптов договора за определенный период
      Parameters:
        `cid` - код договора
        `period` - - период
      Returns:
        список
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getScriptLogList

          public java.util.List<ContractScriptLog> getScriptLogList(int contractId,
                                                                    Period period,
                                                                    java.lang.String title,
                                                                    Page page)
                                                             throws ru.bitel.bgbilling.common.BGException

      Возвращает постраничный список логов скриптов договора за определенный период
      Parameters:
        `cid` - код договора
        `period` - период
        `page` - страница
      Returns:
        список
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(ContractScriptLog b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ContractScriptLog>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### getFromRS

          protected ContractScriptLog getFromRS(java.sql.ResultSet rs)
                                         throws java.sql.SQLException,
                                                ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ContractScriptLog>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`